import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/manasishrotri/ee68ea71a0867091c6dbf96b77d0c63f/raw/d8073e44d9c75a70e8e3610f01a9b4a856a47996/iris.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.sepal_length = +d.sepal_length;
      d.sepal_width = +d.sepal_width;
      d.petal_length = +d.petal_length;
      d.petal_width = +d.petal_width;

      return d;
		
    };
    csv(csvUrl, row).then(data => {
      setData(data);
    });
  }, []);
  
  return data;
};